#version 120
//
// simple.vert
//
uniform vec3 cam, org, dir;
uniform mat3 rot;
attribute vec3 scr;
varying vec3 o, d;

void main(void)
{
  o = rot * (org * scr) + cam;
  d = rot * (dir * scr);

  gl_Position = vec4(scr, 1.0);
}
